package com.danitheskunk.skunkworks;

import com.danitheskunk.skunkworks.audio.AudioEngine;
import com.danitheskunk.skunkworks.audio.nodes.Mixer;
import com.danitheskunk.skunkworks.audio.nodes.Node;
import com.danitheskunk.skunkworks.audio.nodes.Sine;
import org.lwjgl.openal.AL;
import org.lwjgl.openal.ALC;

import javax.sound.sampled.*;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.IntBuffer;

import static org.lwjgl.openal.AL10.*;
import static org.lwjgl.openal.ALC10.*;

public class TestSound {
	public static void main(String args[]) throws InterruptedException {
		var engine = new AudioEngine(44100, 256, 16);
		var mix = new Mixer(engine, 4);
		var sin1 = new Sine(engine, 440);
		var sin2 = new Sine(engine, 659.25);
		var sin3 = new Sine(engine, 523.25);
		engine.setNode(mix);
		Node.connect(sin1, 0, mix, 0);
		Node.connect(sin3, 0, mix, 1);
		Node.connect(sin2, 0, mix, 2);

		var sample = engine.loadSample("C:\\Users\\dani\\Downloads\\Untitled" +
			".wav");
		/*
		for(int i = 0; i < 60; ++i) {
			engine.refill();
			Thread.sleep(20);
		}

		for(int i = 0; i < 60; ++i) {
			engine.refill();
			Thread.sleep(20);
		}

		for(int i = 0; i < 60; ++i) {
			engine.refill();
			Thread.sleep(20);
		}

		 */
	}
}
